# runkit_function_remove

(PECL runkit >= 0.7.0)

runkit_function_remove — Remove a function definition

### Description

runkit_function_remove ( string `$funcname` ) : bool

> Note: By default, only userspace functions may be removed, renamed, or modified. In order to override internal functions, you must enable the runkit.internal_override setting in php.ini.

### Parameters

`funcname`

  Name of function to be deleted

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- runkit_function_add() - Add a new function, similar to create_function
- runkit_function_copy() - Copy a function to a new function name
- runkit_function_redefine() - Replace a function definition with a new implementation
- runkit_function_rename() - Change a function's name